[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBGroupBox.OnKeyDown

Event handler signalled when a key is down while the control has focus.

## Declaration

Source position: dbctrls.pp line 1150

`published property TDBGroupBox.OnKeyDown : TKeyEvent;`

## Description

OnKeyDown differs from OnKeyPress in that the key may have already been down when the control received focus; with OnKeyPress the key needs to become pressed while the control has focus.

## See also

TWinControl.OnKeyDown |  | Event handler signalled for key down keyboard events.